#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int n, x, y, s;

const long long MAXS = 200'000;

bool readAndCheckAnswer(InStream &stream) {
    string ans = upperCase(stream.readToken("([Yy][Ee][Ss])|([Nn][Oo])", "answer"));
    if (ans == "NO") {
        return false;
    }
    vector<long long> a = stream.readLongs(n, 0, MAXS, "a");
    stream.ensuref(a[0] == x, "First element is not equal x");
    for (int i = 1; i < n; i++) {
        stream.ensuref(a[i] == a[i - 1] + y || a[i] == a[i - 1] % y, "Condition is not satisfied");
    }
    stream.ensuref(accumulate(a.begin(), a.end(), 0LL) == s, "Sum is not equal to S");
    return true;
}


int main(int argc, char *argv[]) {
    registerTestlibCmd(argc, argv);

    n = inf.readInt();
    x = inf.readInt();
    y = inf.readInt();
    s = inf.readInt();

    bool j_ans = readAndCheckAnswer(ans);
    bool p_ans = readAndCheckAnswer(ouf);

    if (!p_ans && j_ans) {
        quitf(_wa, "Solution exists, but participant said No");
    } else if (p_ans && !j_ans) {
        quitf(_fail, "Participant found answer, but jury didn't");
    } else {
        quitf(_ok, "Correct answer was found");
    }
}
