#include "testlib.h"

using namespace std;

const int MAXN = 1'000'000'000;

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    
    int gr_n = validator.group().empty() ? 0 : atoi(validator.group().c_str());
    ensuref(0 <= gr_n && gr_n <= 3, "Incorrect group number");
    
    int n = inf.readInt(1, MAXN, "n");
    inf.readEoln();

    int a = inf.readInt(1, n, "a");
    inf.readEoln();

    int b = inf.readInt(0, n - 1, "b");
    inf.readEoln();
    
    if (gr_n == 1) {
        ensuref(a == 1, "a = 1 must hold in this subtask");
    }
    
    if (gr_n == 2) {
        ensuref(b == 1, "b = 1 must hold in this subtask");
    }

    inf.readEof();
    return 0;
}



