rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 b=1 X=0 n=100000 big=1" "tests\03" 3
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 b=1000000 X=0 n=100000 big=1" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 b=12312 X=0 n=50000 big=2" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 b=1 X=0 n=50000 big=5" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 b=100 X=0 n=20000 big=10" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 b=100001 X=0 n=10000 big=20" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 b=10000 X=0 n=10000 big=5" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 b=1000000 X=0 n=10000 big=10" "tests\10" 10
call scripts\gen-input-via-stdout.bat "files\gen_random.exe sum=200000 b=100000 n=1 X=1" "tests\11" 11
call scripts\gen-input-via-stdout.bat "files\gen_random.exe sum=200000 b=100000 n=1 X=1000000000" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\gen_random.exe sum=200000 b=1 n=1 X=1000000000" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\gen_random.exe sum=200000 b=101 n=1 X=1002313" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\gen_random.exe sum=100001 b=4598 n=1 X=35904" "tests\15" 15
call scripts\gen-input-via-stdout.bat "files\gen_random.exe sum=200000 b=9349 n=2 X=10000" "tests\16" 16
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe sum=200000 b=1230 n=2 optk=100000" "tests\17" 17
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe sum=199999 b=12345 n=2 optk=1" "tests\18" 18
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=199999 b=1 n=2 big=1 X=1" "tests\19" 19
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=99999 b=100 n=2 big=1 X=89899" "tests\20" 20
call scripts\gen-input-via-stdout.bat "files\gen_const_c.exe c=30001 n=6 b=123 X=9481948" "tests\21" 21
call scripts\gen-input-via-stdout.bat "files\gen_const_c.exe c=4 n=50000 b=123987 X=3452" "tests\22" 22
call scripts\gen-input-via-stdout.bat "files\gen_random.exe sum=2000 n=100 b=5829 X=4852001" "tests\23" 23
call scripts\gen-input-via-stdout.bat "files\gen_random.exe sum=2000 n=11 b=385429 X=189414901" "tests\24" 24
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=2000 n=1000 big=1 b=100 X=1" "tests\25" 25
call scripts\gen-input-via-stdout.bat "files\gen_diff_sz.exe maxsum=2000 n=21 b=48 X=934" "tests\26" 26
call scripts\gen-input-via-stdout.bat "files\gen_diff_sz.exe maxsum=2000 n=4 b=483414 X=93413" "tests\27" 27
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe sum=2000 n=100 b=101 optk=100" "tests\28" 28
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe sum=2000 n=100 b=101 optk=2" "tests\29" 29
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe sum=2000 n=100 b=1001 optk=1" "tests\30" 30
call scripts\gen-input-via-stdout.bat "files\gen_random.exe sum=2000 n=31 b=5829 X=4852001 mn=50" "tests\31" 31
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe strong=1 sum=200000 b=3409 n=10001 optk=1" "tests\32" 32
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe strong=1 sum=200000 b=34091 n=10000 optk=150000" "tests\33" 33
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe strong=1 sum=200000 b=998 n=9999 optk=49999" "tests\34" 34
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe strong=1 sum=200000 b=1 n=20000 optk=100000" "tests\35" 35
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe strong=1 sum=200000 b=1 n=30000 optk=10000" "tests\36" 36
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe sum=200000 n=10000 strong=1 b=228 optk=20000" "tests\37" 37
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe sum=200000 n=10000 strong=1 b=228 optk=100000" "tests\38" 38
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe sum=200000 n=50000 strong=1 b=22 optk=30000" "tests\39" 39
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe sum=200000 n=50000 strong=1 b=4091 optk=11" "tests\40" 40
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe sum=200000 n=50000 strong=1 b=9999 optk=50000" "tests\41" 41
call scripts\gen-input-via-stdout.bat "files\gen_optk.exe sum=200000 n=50000 strong=1 b=100000 optk=50000" "tests\42" 42
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 n=10000 b=39489 X=2309580 big=10" "tests\43" 43
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 n=999 b=385902 X=14910401 big=1" "tests\44" 44
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 n=10000 b=1 X=1 big=2" "tests\45" 45
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 n=10000 b=1 X=1 big=3" "tests\46" 46
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 n=10000 b=101 X=10001 big=5" "tests\47" 47
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 n=10000 b=100000 X=1000000000 big=5" "tests\48" 48
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 n=40001 b=100000 X=1000000000 big=5" "tests\49" 49
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 n=19941 b=11 X=1000000000 big=5" "tests\50" 50
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 n=45209 b=100011 X=801903 big=7" "tests\51" 51
call scripts\gen-input-via-stdout.bat "files\gen_halfs.exe sum=200000 n=9852 b=9430 X=25048109 big=10" "tests\52" 52
call scripts\gen-answer.bat tests\01 tests\01.a "tests" "0"
call scripts\gen-answer.bat tests\02 tests\02.a "tests" "0"
call scripts\gen-answer.bat tests\03 tests\03.a "tests" "1"
call scripts\gen-answer.bat tests\04 tests\04.a "tests" "1"
call scripts\gen-answer.bat tests\05 tests\05.a "tests" "1"
call scripts\gen-answer.bat tests\06 tests\06.a "tests" "1"
call scripts\gen-answer.bat tests\07 tests\07.a "tests" "1"
call scripts\gen-answer.bat tests\08 tests\08.a "tests" "1"
call scripts\gen-answer.bat tests\09 tests\09.a "tests" "1"
call scripts\gen-answer.bat tests\10 tests\10.a "tests" "1"
call scripts\gen-answer.bat tests\11 tests\11.a "tests" "2"
call scripts\gen-answer.bat tests\12 tests\12.a "tests" "2"
call scripts\gen-answer.bat tests\13 tests\13.a "tests" "2"
call scripts\gen-answer.bat tests\14 tests\14.a "tests" "2"
call scripts\gen-answer.bat tests\15 tests\15.a "tests" "2"
call scripts\gen-answer.bat tests\16 tests\16.a "tests" "3"
call scripts\gen-answer.bat tests\17 tests\17.a "tests" "3"
call scripts\gen-answer.bat tests\18 tests\18.a "tests" "3"
call scripts\gen-answer.bat tests\19 tests\19.a "tests" "3"
call scripts\gen-answer.bat tests\20 tests\20.a "tests" "3"
call scripts\gen-answer.bat tests\21 tests\21.a "tests" "4"
call scripts\gen-answer.bat tests\22 tests\22.a "tests" "4"
call scripts\gen-answer.bat tests\23 tests\23.a "tests" "5"
call scripts\gen-answer.bat tests\24 tests\24.a "tests" "5"
call scripts\gen-answer.bat tests\25 tests\25.a "tests" "5"
call scripts\gen-answer.bat tests\26 tests\26.a "tests" "5"
call scripts\gen-answer.bat tests\27 tests\27.a "tests" "5"
call scripts\gen-answer.bat tests\28 tests\28.a "tests" "5"
call scripts\gen-answer.bat tests\29 tests\29.a "tests" "5"
call scripts\gen-answer.bat tests\30 tests\30.a "tests" "5"
call scripts\gen-answer.bat tests\31 tests\31.a "tests" "5"
call scripts\gen-answer.bat tests\32 tests\32.a "tests" "6"
call scripts\gen-answer.bat tests\33 tests\33.a "tests" "6"
call scripts\gen-answer.bat tests\34 tests\34.a "tests" "6"
call scripts\gen-answer.bat tests\35 tests\35.a "tests" "6"
call scripts\gen-answer.bat tests\36 tests\36.a "tests" "6"
call scripts\gen-answer.bat tests\37 tests\37.a "tests" "6"
call scripts\gen-answer.bat tests\38 tests\38.a "tests" "6"
call scripts\gen-answer.bat tests\39 tests\39.a "tests" "6"
call scripts\gen-answer.bat tests\40 tests\40.a "tests" "6"
call scripts\gen-answer.bat tests\41 tests\41.a "tests" "6"
call scripts\gen-answer.bat tests\42 tests\42.a "tests" "6"
call scripts\gen-answer.bat tests\43 tests\43.a "tests" "6"
call scripts\gen-answer.bat tests\44 tests\44.a "tests" "6"
call scripts\gen-answer.bat tests\45 tests\45.a "tests" "6"
call scripts\gen-answer.bat tests\46 tests\46.a "tests" "6"
call scripts\gen-answer.bat tests\47 tests\47.a "tests" "6"
call scripts\gen-answer.bat tests\48 tests\48.a "tests" "6"
call scripts\gen-answer.bat tests\49 tests\49.a "tests" "6"
call scripts\gen-answer.bat tests\50 tests\50.a "tests" "6"
call scripts\gen-answer.bat tests\51 tests\51.a "tests" "6"
call scripts\gen-answer.bat tests\52 tests\52.a "tests" "6"

