#include <cassert>
#include <initializer_list>
#include <numeric>
#include <vector>
#include <iostream>
#include <utility>
#include <stack>
#include <queue>
#include <set>
#include <map>
#include <algorithm>
#include <math.h>
 
using namespace std;
 
#define pii pair<int, int>
#define mp make_pair
#define fi first
#define se second
#define all(x) (x).begin(), (x).end()
#define ll long long
#define pb emplace_back
 
const int INF = 1e9 + 10;
const ll INFLL = 1e18;
const int MAXN = 2e5 + 10;
 
ll C2(ll n) {
    return (n * (n - 1)) / 2;
}
 
ll count(ll x, ll k) {
    ll base_size = x / k;
    ll increased_size = x / k; // bug
    ll count_base_size = k - (x % k);
    ll count_increased_size = x % k;
    ll res = 0;
    res += C2(count_base_size) * base_size * base_size;
    res += C2(count_increased_size) * increased_size * increased_size;
    res += (base_size * count_base_size) * (increased_size * count_increased_size);
    return res;
}
 
void solve() {
    int m;
    cin >> m;
    ll b, x;
    cin >> b >> x;
    vector<ll> c(m);
    for (auto &p : c) {
        cin >> p;
    }
    vector<ll> cnt(MAXN);
    vector<ll> add(MAXN);
    for (int i = 0; i < m; i++) {
        for (int k = 1; k <= c[i]; k++) {
            cnt[k] += count(c[i], k);
        }
        add[c[i] + 1] += count(c[i], c[i]);
    }
    ll ans = -INF;
    ll y = 0;
    for (int k = 1; k < MAXN; k++) {
        y += add[k];
        ans = max(ans, (cnt[k] + y) * b - (k - 1) * x);
    }
    cout << ans << "\n";
}
 
int main() {
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(0);
    int t = 1;
    // cin >> t;
    while (t--) {
        solve();
    }
    return 0;
}
