//
// Created by Vasilii Silvestrov on 10.01.2024.
//

#include <iostream>
#include <vector>

using namespace std;
using ll = long long;

ll pairs(ll n, ll k){
    if (n == 0 || k == 0){
        return 0;
    }
    ll x = n / k;
    ll l = n % k;
    ll r = k - l;
    ll L = (x + 1) * l, R = x * r;
    return R * L + (R - x) * R / 2 + L * (L - x - 1) / 2;
}

int main(){
    int m;
    long long c, b;
    cin >> m >> b >> c;

    int n = 0;
    vector<int> cnt(m);
    for (int i = 0; i < m; ++i) {
        cin >> cnt[i];
        n = max(n, cnt[i]);
    }


    vector<long long> pair(n + 1);
    vector<long long> add(n + 1);
    for (int i = 0; i < m; ++i) {
        for (int j = 1; j <= cnt[i]; ++j) {
            pair[j] += pairs(cnt[i], j);
        }
        add[cnt[i]] += pairs(cnt[i], cnt[i]);
    }


    long long ans = 0;
    long long other = 0;
    for (int i = 1; i <= n; ++i) {
        ans = max(ans, b * (pair[i] + other) - c * (i - 1));
        other += add[i];
    }
    cout << ans << endl;
}
