//
// Created by Vasilii Silvestrov on 10.01.2024.
//

#include <iostream>
#include <vector>

using namespace std;
using ll = long long;

ll pairs(ll n, ll k){
    if (n == 0 || k == 0){
        return 0;
    }
    ll x = n / k;
    ll l = n % k;
    ll r = k - l;
    ll L = (x + 1) * l, R = x * r;
    return R * L + (R - x) * R / 2 + L * (L - x - 1) / 2;
}

int main(){
    int m;
    long long c, b;
    cin >> m >> b >> c;

    int n = 0;
    vector<int> cnt(m);
    for (int i = 0; i < m; ++i) {
        cin >> cnt[i];
        n = max(n, cnt[i]);
    }

    long long ans = 0;
    for (int i = 1; i <= n; ++i) {
        long long cnt_pairs = 0;
        for (int j = 0; j < m; ++j) {
            cnt_pairs += pairs(cnt[j], i);
        }
        ans = max(ans, b * cnt_pairs - c * (i - 1));
    }
    cout << ans << endl;
}