#include "testlib.h"

using namespace std;

int genx(int c, int f) {
	int x = rnd.next(0, c);
	if (f && rnd.next(0, f - 1) == 0) {
		x = -1;
	}
	return x;
}

int main(int argc, char *argv[]) {
	registerGen(argc, argv, 1);

	int q = opt<int>("q");
	int c = opt<int>("c");
	int fa = opt<int>("fa");
	int fb = opt<int>("fb");
	
	println(1, c, q);
	println(genx(c, fa));
	println(genx(c, fb));

	for (int i = 0; i < q; ++i) {
		int t = rnd.next(1, 2);
		int x;
		if (t == 1) {
			x = genx(c, fa);
		} else {
			x = genx(c, fb);
		}
		println(t, 1, x);
	}
}

