#include "testlib.h"

using namespace std;

const int N[3] = {1'000'000'000, 100'000, 1'000'000'000};
const int MX = 1'000'000'000;

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    
    int gr_n = validator.group().empty() ? 0 : atoi(validator.group().c_str());
    ensuref(0 <= gr_n && gr_n <= 2, "Incorrect group number");
    
    int k = inf.readInt(2, MX, "k");
    inf.readEoln();

    int x = inf.readInt(1, k, "x");
    inf.readEoln();
    
    int n = inf.readInt(x, N[gr_n], "n");
    inf.readEoln();
    
    inf.readEof();
    return 0;
}



