#include <initializer_list>
#include <numeric>
#include <vector>
#include <iostream>
#include <utility>
#include <stack>
#include <queue>
#include <set>
#include <map>
#include <algorithm>
#include <math.h>

using namespace std;

#define pii pair<int, int>
#define mp make_pair
#define fi first
#define se second
#define all(x) (x).begin(), (x).end()
#define ll long long
#define pb emplace_back

const int INF = 1e9 + 10;
const ll INFLL = 1e18;

vector<int> find_divisors(int a) {
    vector<int> d;
    for (int i = 1; i * i <= a; i++) {
        if (a % i != 0) {
            continue;
        }
        if (i % 2 == 0) {
            d.pb(i);
        }
        if (i * i != a && (a / i) % 2 == 0) {
            d.pb(a / i);
        }
    }
    return d;
}

void solve() {
    int n, x;
    cin >> n >> x;
    vector<int> d;
    for (auto &c : find_divisors(n - x)) {
        d.pb(c);
    }
    for (auto &c : find_divisors(n + x - 2)) {
        d.pb(c);
    }
    sort(all(d));
    int m = unique(all(d)) - d.begin();
    int ans = 0;
    for (int i = 0; i < m; i++) {
        if (d[i] / 2 + 1 >= x) {
            ans++;
        }
    }
    cout << ans << "\n";
}

int main() {
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(0);
    int t = 1;
    // cin >> t;
    while (t--) {
        solve();
    }
    return 0;
}
