#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int main(int argc, char* argv[]) {
    ios::sync_with_stdio(0); cin.tie(0);
    registerGen(argc, argv, 1);

    map<string, int> args;
    args["t"] = 2;
    for (int i = 1; i != argc; ++i) {
        string opt = argv[i];
        auto pos = opt.find('=');
        if (pos != string::npos) {
            args[opt.substr(0, pos)] = stoi(opt.substr(pos+1));
        }
    }

    const int n = args["n"];
    const int q = args["q"];
    const int max_type = args["t"];

    int cnt = 1;
    while ((cnt+1)*(cnt+2)/2 < n) ++cnt;

    vector<int> a(n, 1), b(n, 1);
    for (int i = 1; i <= cnt; ++i) a[i*(i+1)/2]=0, b[i*(i+1)/2]=0;
    for (int i = 1; i < n; ++i) a[i] += a[i-1], b[i] += b[i-1];

    println(n, n, q);
    println(a);
    println(b);

    int apos = -1, bpos = -1;
    for (int qid = 0; qid != q; ++qid) {
        int t = rnd.next(1, max_type);
        int l = 1, r = n, x = -1, pos = 0;
        if (t == 1) {
            if (apos == -1) apos = rnd.next(1, cnt), x = 1;
            pos = apos*(apos+1)/2;
            if (x == -1) apos = -1;
        } else {
            if (bpos == -1) bpos = rnd.next(1, cnt), x = 1;
            pos = bpos*(bpos+1)/2;
            if (x == -1) bpos = -1;
        }

        if (rnd.next(1, 2) == 1) {
            l = pos + 1;
            r = n;
        } else {
            x = -x;
            l = 1;
            r = pos;
        }

        println(t, l, r, x);
    }
}