// Случайный перебор массивов
// При этом количество позиций (a[i] = a[i+1]) принадлежит отрезку [cnt_min, cnt_max]

#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

vector<int> gen_array(int n, int k) {
    ensure(1 <= k && k <= n);
    vector<int> v(n);
    
    while (--k) while (true) {
        int k = rnd.next(1, n-1);
        if (!v[k]) { v[k] = 1; break; }
    }

    for (int i = 0; i < n; ++i)
        v[i] = v[i] ? v[i-1] : rnd.next(-1'000'000'000, +1'000'000'000);
    return v;
}

int main(int argc, char* argv[]) {
    ios::sync_with_stdio(0); cin.tie(0);
    registerGen(argc, argv, 1);

    map<string, int> args;
    for (int i = 1; i != argc; ++i) {
        string opt = argv[i];
        auto pos = opt.find('=');
        if (pos != string::npos) {
            args[opt.substr(0, pos)] = stoi(opt.substr(pos+1));
        }
    }

    const int n = args["n"];
    const int m = args["m"];
    const int a = args["a"];
    const int b = args["b"];

    println(n, m, 0);
    println(gen_array(n, a));
    println(gen_array(m, b));
}