#include <bits/stdc++.h>

using namespace std;
using ll = long long;

ll square_count(ll n, ll m) {
    ll ans = 0;
    for (ll d = 0; d < min(n, m); ++d) {
        ans += (n - d) * (m - d);
    }
    return ans;
}

ll solve(vector<ll>& a, const vector<ll>& b) {
    const int n = a.size(), m = b.size();
    vector<int> lens_a, lens_b;
    for (int i = 0; i < n; ) {
        int j = i++;
        while (i < n && a[i] != a[i-1]) ++i;
        lens_a.push_back(i-j);
    }

    for (int i = 0; i < m; ) {
        int j = i++;
        while (i < m && b[i] != b[i-1]) ++i;
        lens_b.push_back(i-j);
    }

    ll ans = 0;
    for (int x : lens_a)
    for (int y : lens_b) {
        ans += square_count(x, y);
    }

    return ans;
}

int main() {
    ios::sync_with_stdio(0); cin.tie(0);

    int n, m, q; cin >> n >> m >> q;
    vector<ll> a(n), b(m);
    for (ll& x : a) cin >> x;
    for (ll& x : b) cin >> x;

    cout << solve(a, b) << '\n';
    while (q--) {
        int t, l, r, x; cin >> t >> l >> r >> x; --l;
        if (t == 1) for (int i = l; i != r; ++i) a[i] += x;
        if (t == 2) for (int i = l; i != r; ++i) b[i] += x;
        cout << solve(a, b) << '\n';
    }
}