rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=15 x=17953 y=4282 S=145117" "tests\03" 3
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=15 x=199999 y=200000 S=200000" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=15 x=200000 y=200000 S=200000" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen_one_nonzero.exe n=14 maxS=200000" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen_small_random.exe y=1" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen_small_random.exe n=10 y=2" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen_small_random.exe y=10" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\gen_small_random.exe n=12 y=50" "tests\10" 10
call scripts\gen-input-via-stdout.bat "files\gen_small_random.exe y=100" "tests\11" 11
call scripts\gen-input-via-stdout.bat "files\gen_small_random.exe n=14 y=666" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\gen_small_random.exe y=333" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\gen_small_random.exe n=7 y=5000" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\gen_small_random.exe n=5 y=9000" "tests\15" 15
call scripts\gen-input-via-stdout.bat "files\gen_edge_yes.exe maxS=30 y=7" "tests\16" 16
call scripts\gen-input-via-stdout.bat "files\gen_small_random.exe n=10 y=84" "tests\17" 17
call scripts\gen-input-via-stdout.bat "files\gen_random_yes.exe x=7 y=4 maxS=50" "tests\18" 18
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=10 x=5000 y=3000 S=70000" "tests\19" 19
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=15 x=0 y=200000 S=0" "tests\20" 20
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=15 x=200000 y=64 S=200000" "tests\23" 23
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=12 x=26740 y=1337 S=131026" "tests\24" 24
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=100 x=3 y=2 S=100" "tests\25" 25
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=100 x=199999 y=200000 S=100" "tests\26" 26
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=100 x=200000 y=200000 S=100" "tests\27" 27
call scripts\gen-input-via-stdout.bat "files\gen_one_nonzero.exe n=99 maxS=100" "tests\28" 28
call scripts\gen-input-via-stdout.bat "files\gen_oneseq.exe maxS=100 y=10" "tests\29" 29
call scripts\gen-input-via-stdout.bat "files\gen_oneseq.exe maxS=100 y=2" "tests\30" 30
call scripts\gen-input-via-stdout.bat "files\gen_oneseq.exe maxS=50 y=3" "tests\31" 31
call scripts\gen-input-via-stdout.bat "files\gen_edge_no.exe maxS=100 y=3" "tests\32" 32
call scripts\gen-input-via-stdout.bat "files\gen_edge_no.exe maxS=100 y=5" "tests\33" 33
call scripts\gen-input-via-stdout.bat "files\gen_edge_yes.exe maxS=100 y=3" "tests\34" 34
call scripts\gen-input-via-stdout.bat "files\gen_edge_yes.exe maxS=100 y=5" "tests\35" 35
call scripts\gen-input-via-stdout.bat "files\gen_random_no.exe maxS=100 x=5 y=3" "tests\36" 36
call scripts\gen-input-via-stdout.bat "files\gen_random_yes.exe maxS=100 x=5 y=3" "tests\37" 37
call scripts\gen-input-via-stdout.bat "files\gen_random_yes.exe maxS=100 x=14 y=3" "tests\38" 38
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=16 x=5 y=1 S=89" "tests\40" 40
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=100 x=25 y=5 S=100" "tests\41" 41
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=60 x=0 y=3 S=90" "tests\42" 42
call scripts\gen-input-via-stdout.bat "files\gen_antiladder.exe maxS=100" "tests\43" 43
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=10000 x=5 y=10 S=150000" "tests\44" 44
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=50000 x=2 y=5 S=200000" "tests\45" 45
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=200000 x=0 y=1 S=200000" "tests\46" 46
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=200000 x=1 y=2 S=200000" "tests\47" 47
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=200000 x=199999 y=200000 S=200000" "tests\48" 48
call scripts\gen-input-via-stdout.bat "files\gen_edge_yes.exe y=5" "tests\49" 49
call scripts\gen-input-via-stdout.bat "files\gen_edge_no.exe y=50" "tests\50" 50
call scripts\gen-input-via-stdout.bat "files\gen_edge_yes.exe y=2000" "tests\51" 51
call scripts\gen-input-via-stdout.bat "files\gen_edge_no.exe y=5757" "tests\52" 52
call scripts\gen-input-via-stdout.bat "files\gen_random_no.exe maxS=42379 x=93 y=147" "tests\53" 53
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=3000 x=1 y=200000 S=3000" "tests\54" 54
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=200000 x=199999 y=200000 S=3000" "tests\57" 57
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=200000 x=200000 y=200000 S=3000" "tests\58" 58
call scripts\gen-input-via-stdout.bat "files\gen_oneseq.exe maxS=3000 y=100" "tests\59" 59
call scripts\gen-input-via-stdout.bat "files\gen_edge_no.exe maxS=3000 y=10" "tests\60" 60
call scripts\gen-input-via-stdout.bat "files\gen_edge_yes.exe maxS=3000 y=25" "tests\61" 61
call scripts\gen-input-via-stdout.bat "files\gen_edge_no.exe maxS=3000 y=50" "tests\62" 62
call scripts\gen-input-via-stdout.bat "files\gen_edge_yes.exe maxS=3000 y=120" "tests\63" 63
call scripts\gen-input-via-stdout.bat "files\gen_random_yes.exe maxS=3000 x=86 y=2 487de298e999061d1e430201211408f4" "tests\64" 64
call scripts\gen-input-via-stdout.bat "files\gen_random_yes.exe maxS=3000 x=2 y=5 4ef2f5c30f340f1f46f26cbe95d0da20" "tests\65" 65
call scripts\gen-input-via-stdout.bat "files\gen_antiladder.exe maxS=3000" "tests\66" 66
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=200000 x=2 y=1 S=200000" "tests\67" 67
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=200000 x=200000 y=200000 S=200000" "tests\68" 68
call scripts\gen-input-via-stdout.bat "files\gen_oneseq.exe maxS=200000 y=10" "tests\69" 69
call scripts\gen-input-via-stdout.bat "files\gen_oneseq.exe maxS=200000 y=87" "tests\72" 72
call scripts\gen-input-via-stdout.bat "files\gen_oneseq.exe maxS=200000 y=1000" "tests\73" 73
call scripts\gen-input-via-stdout.bat "files\gen_random_yes.exe x=100 y=10" "tests\74" 74
call scripts\gen-input-via-stdout.bat "files\gen_random_yes.exe x=1000 y=10" "tests\75" 75
call scripts\gen-input-via-stdout.bat "files\gen_random_yes.exe x=10000 y=10" "tests\76" 76
call scripts\gen-input-via-stdout.bat "files\gen_random_yes.exe x=1000 y=100" "tests\77" 77
call scripts\gen-input-via-stdout.bat "files\gen_random_yes.exe x=100 y=1" "tests\78" 78
call scripts\gen-input-via-stdout.bat "files\gen_random_no.exe x=10000 y=57" "tests\79" 79
call scripts\gen-input-via-stdout.bat "files\gen_random_yes.exe x=1 y=1" "tests\80" 80
call scripts\gen-input-via-stdout.bat "files\gen_random_yes.exe x=49999 y=2" "tests\81" 81
call scripts\gen-input-via-stdout.bat "files\gen_antiladder.exe maxS=200000" "tests\82" 82
call scripts\gen-input-via-stdout.bat "files\gen_const.exe n=100000 x=199999 y=200000 s=63520" "tests\83" 83
call scripts\gen-answer.bat tests\01 tests\01.a "tests" "0"
call scripts\gen-answer.bat tests\02 tests\02.a "tests" "0"
call scripts\gen-answer.bat tests\03 tests\03.a "tests" "1"
call scripts\gen-answer.bat tests\04 tests\04.a "tests" "1"
call scripts\gen-answer.bat tests\05 tests\05.a "tests" "1"
call scripts\gen-answer.bat tests\06 tests\06.a "tests" "1"
call scripts\gen-answer.bat tests\07 tests\07.a "tests" "1"
call scripts\gen-answer.bat tests\08 tests\08.a "tests" "1"
call scripts\gen-answer.bat tests\09 tests\09.a "tests" "1"
call scripts\gen-answer.bat tests\10 tests\10.a "tests" "1"
call scripts\gen-answer.bat tests\11 tests\11.a "tests" "1"
call scripts\gen-answer.bat tests\12 tests\12.a "tests" "1"
call scripts\gen-answer.bat tests\13 tests\13.a "tests" "1"
call scripts\gen-answer.bat tests\14 tests\14.a "tests" "1"
call scripts\gen-answer.bat tests\15 tests\15.a "tests" "1"
call scripts\gen-answer.bat tests\16 tests\16.a "tests" "1"
call scripts\gen-answer.bat tests\17 tests\17.a "tests" "1"
call scripts\gen-answer.bat tests\18 tests\18.a "tests" "1"
call scripts\gen-answer.bat tests\19 tests\19.a "tests" "1"
call scripts\gen-answer.bat tests\20 tests\20.a "tests" "1"
call scripts\gen-answer.bat tests\21 tests\21.a "tests" "1"
call scripts\gen-answer.bat tests\22 tests\22.a "tests" "1"
call scripts\gen-answer.bat tests\23 tests\23.a "tests" "1"
call scripts\gen-answer.bat tests\24 tests\24.a "tests" "1"
call scripts\gen-answer.bat tests\25 tests\25.a "tests" "2"
call scripts\gen-answer.bat tests\26 tests\26.a "tests" "2"
call scripts\gen-answer.bat tests\27 tests\27.a "tests" "2"
call scripts\gen-answer.bat tests\28 tests\28.a "tests" "2"
call scripts\gen-answer.bat tests\29 tests\29.a "tests" "2"
call scripts\gen-answer.bat tests\30 tests\30.a "tests" "2"
call scripts\gen-answer.bat tests\31 tests\31.a "tests" "2"
call scripts\gen-answer.bat tests\32 tests\32.a "tests" "2"
call scripts\gen-answer.bat tests\33 tests\33.a "tests" "2"
call scripts\gen-answer.bat tests\34 tests\34.a "tests" "2"
call scripts\gen-answer.bat tests\35 tests\35.a "tests" "2"
call scripts\gen-answer.bat tests\36 tests\36.a "tests" "2"
call scripts\gen-answer.bat tests\37 tests\37.a "tests" "2"
call scripts\gen-answer.bat tests\38 tests\38.a "tests" "2"
call scripts\gen-answer.bat tests\39 tests\39.a "tests" "2"
call scripts\gen-answer.bat tests\40 tests\40.a "tests" "2"
call scripts\gen-answer.bat tests\41 tests\41.a "tests" "2"
call scripts\gen-answer.bat tests\42 tests\42.a "tests" "2"
call scripts\gen-answer.bat tests\43 tests\43.a "tests" "2"
call scripts\gen-answer.bat tests\44 tests\44.a "tests" "3"
call scripts\gen-answer.bat tests\45 tests\45.a "tests" "3"
call scripts\gen-answer.bat tests\46 tests\46.a "tests" "3"
call scripts\gen-answer.bat tests\47 tests\47.a "tests" "3"
call scripts\gen-answer.bat tests\48 tests\48.a "tests" "3"
call scripts\gen-answer.bat tests\49 tests\49.a "tests" "3"
call scripts\gen-answer.bat tests\50 tests\50.a "tests" "3"
call scripts\gen-answer.bat tests\51 tests\51.a "tests" "3"
call scripts\gen-answer.bat tests\52 tests\52.a "tests" "3"
call scripts\gen-answer.bat tests\53 tests\53.a "tests" "3"
call scripts\gen-answer.bat tests\54 tests\54.a "tests" "4"
call scripts\gen-answer.bat tests\55 tests\55.a "tests" "4"
call scripts\gen-answer.bat tests\56 tests\56.a "tests" "4"
call scripts\gen-answer.bat tests\57 tests\57.a "tests" "4"
call scripts\gen-answer.bat tests\58 tests\58.a "tests" "4"
call scripts\gen-answer.bat tests\59 tests\59.a "tests" "4"
call scripts\gen-answer.bat tests\60 tests\60.a "tests" "4"
call scripts\gen-answer.bat tests\61 tests\61.a "tests" "4"
call scripts\gen-answer.bat tests\62 tests\62.a "tests" "4"
call scripts\gen-answer.bat tests\63 tests\63.a "tests" "4"
call scripts\gen-answer.bat tests\64 tests\64.a "tests" "4"
call scripts\gen-answer.bat tests\65 tests\65.a "tests" "4"
call scripts\gen-answer.bat tests\66 tests\66.a "tests" "4"
call scripts\gen-answer.bat tests\67 tests\67.a "tests" "5"
call scripts\gen-answer.bat tests\68 tests\68.a "tests" "5"
call scripts\gen-answer.bat tests\69 tests\69.a "tests" "5"
call scripts\gen-answer.bat tests\70 tests\70.a "tests" "5"
call scripts\gen-answer.bat tests\71 tests\71.a "tests" "5"
call scripts\gen-answer.bat tests\72 tests\72.a "tests" "5"
call scripts\gen-answer.bat tests\73 tests\73.a "tests" "5"
call scripts\gen-answer.bat tests\74 tests\74.a "tests" "5"
call scripts\gen-answer.bat tests\75 tests\75.a "tests" "5"
call scripts\gen-answer.bat tests\76 tests\76.a "tests" "5"
call scripts\gen-answer.bat tests\77 tests\77.a "tests" "5"
call scripts\gen-answer.bat tests\78 tests\78.a "tests" "5"
call scripts\gen-answer.bat tests\79 tests\79.a "tests" "5"
call scripts\gen-answer.bat tests\80 tests\80.a "tests" "5"
call scripts\gen-answer.bat tests\81 tests\81.a "tests" "5"
call scripts\gen-answer.bat tests\82 tests\82.a "tests" "5"
call scripts\gen-answer.bat tests\83 tests\83.a "tests" "5"

