#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

map<string, string> params;

int parse(const string &val) {
    if (val.find('e') != string::npos) {
        int m = stoi(val.substr(0, val.find('e')));
        int exp = stoi(val.substr(val.find('e') + 1, val.size()));
        int now = 1;
        for (int _ = 0; _ < exp; _++) {
            now *= 10;
        }
        return m * now;
    } else {
        return stoi(val);
    }
}


int get(const string &name, int def = 0) {
    if (params.count(name)) {
        return parse(params[name]);
    } else {
        return def;
    }
}


int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);

    for (int i = 1; i < argc; i++) {
        string s = string(argv[i]);
        if (s.find('=') != string::npos) {
            auto pos = s.find('=');
            params[s.substr(0, pos)] = s.substr(pos + 1);
        } else {
            params[s] = "";
        }
    }

    int S = get("maxS", 200'000);
    int y = get("y", 10);
    int x = rnd.next(y * 3, y * 5);

    int sm = 0, n = 0, now = x;
    while (sm + now <= S) {
        sm += now;
        now += y;
        n++;
    }
    cout << n << " " << x << " " << y << " " << sm << endl;
    return 0;
}
