#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

map<string, string> params;

int parse(const string &val) {
    if (val.find('e') != string::npos) {
        int m = stoi(val.substr(0, val.find('e')));
        int exp = stoi(val.substr(val.find('e') + 1, val.size()));
        int now = 1;
        for (int _ = 0; _ < exp; _++) {
            now *= 10;
        }
        return m * now;
    } else {
        return stoi(val);
    }
}


int get(const string &name, int def = 0) {
    if (params.count(name)) {
        return parse(params[name]);
    } else {
        return def;
    }
}

const int N = 2e5 + 100;
int dp[N];


int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);

    for (int i = 1; i < argc; i++) {
        string s = string(argv[i]);
        if (s.find('=') != string::npos) {
            auto pos = s.find('=');
            params[s.substr(0, pos)] = s.substr(pos + 1);
        } else {
            params[s] = "";
        }
    }

    fill(dp, dp + 200'000 + 1, INT_MAX);
    dp[0] = 0;
    for (int pre_val = 0; pre_val < 200'000; pre_val++) {
        for (int sm = 1, i = 1; pre_val + sm <= 200'000; i++, sm += i) {
            if (dp[pre_val + sm] > dp[pre_val] + i + 1) {
                dp[pre_val + sm] = dp[pre_val] + i + 1;
            }
        }
    }

    int S = get("maxS", 200'000);
    int x = get("x", 10000);
    int y = get("y", 10);
    x += rnd.next(-x / 10, x / 10);
    y += rnd.next(-y / 10, y / 10);
    int sm = x / y;
    vector <pair <int, int>> var;
    for (int i = 1; sm <= S / y / 2; i++, sm += x / y + i) {
        int n = i + dp[S / y / 2 - sm];
        if (S / y / 2 * y + n * (x % y) <= S) {
            var.emplace_back(n, S / y / 2 * y + n * (x % y));
        }
    }
    int ind = rnd.next(0, (int) var.size() - 1);
    cout << var[ind].first - 1 << " " << x << " " << y << " " << var[ind].second << endl;
    return 0;
}
