#include "testlib.h"

using namespace std;

int MAX_N[] = {200'000, 15, 100, 200'000, 200'000, 200'000};
int MAX_S[] = {200'000, 200'000, 100, 200'000, 3'000, 200'000};
const int MAXC = 200'000;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);

    int group = (!validator.group().empty() ? stoi(validator.group()) : 0);
    ensuref(0 <= group && group <= 5, "Incorrect group number");

    int n = inf.readInt(1, MAX_N[group], "n");
    inf.readSpace();
    int x = inf.readInt(0, MAXC, "x");
    inf.readSpace();
    int y = inf.readInt(1, MAXC, "y");
    inf.readSpace();
    int s = inf.readInt(0, MAX_S[group], "S");
    inf.readEoln();
    inf.readEof();
    if (group == 3) {
        ensuref(x < y, "Condition x < y is not satisfied in group 3");
    }
    return 0;
}
