#include <bits/stdc++.h>
using namespace std;

using ll = long long;
#define int ll

#define endl '\n'
#define pb push_back
#define vi vector<int>
using pi = pair<int, int>;

int n, x, y, S;
int fork(int k) {
  return (k * (k + 1) / 2) * y;
}

const int MV = 70, INF = 1e9;

int32_t main() {
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);
  
  array<int, MV + 1> p{};
  for (int i = 1; i <= MV; ++i) p[i] = i * (i + 1) / 2;
  
  cin >> n >> x >> y >> S;
  
  // prev[i][j] = 1 means take this
  vector<vector<int>> dp(S + 1, vector<int>(MV + 1, INF)), prev(S + 1, vector<int>(MV + 1));
  for (int i = 1; i <= MV; ++i) dp[0][i] = 0;
  for (int i = 1; i <= S; ++i) {
    for (int j = 1; j <= MV; ++j) {
      dp[i][j] = dp[i][j - 1];
      if (p[j] > i) continue;
      
      int cost = dp[i - p[j]][j] + j + 1;
      if (cost < dp[i][j]) {
        dp[i][j] = cost;
        prev[i][j] = 1;
      }
      //cout << i << " " << j << " | " << dp[i][j] << endl;
    }
  }
  //return 0;
  
  for (int a = 0; a <= n - 1; ++a) {
    int have = (a + 1) * x + (n - a - 1) * (x % y) + fork(a);
    int need = S - have;
    if (need < 0) continue;
    if (need % y != 0) continue;
    
    need /= y;
    if (dp[need][MV] > n - a - 1) continue;
    
    cout << "Yes\n";
    
    vector<int> v(n + 3);
    v[0] = x;
    for (int i = 1; i <= a; ++i) v[i] = x + i * y;
    for (int i = a + 1; i <= n; ++i) v[i] = x % y;
    
    vector<int> seq;
    int i = need, j = MV;
    while (i > 0) {
      if (prev[i][j]) {
        seq.pb(j);
        i -= p[j];
      } else --j;
    }
    
    i = a + 1;
    for (int len : seq) {
      int curr = x % y;
      v[i] = curr;
      ++i;
      while (len--) {
        curr += y;
        v[i] = curr;
        ++i;
      }
    }
    
    for (int i = 0; i < n; ++i) cout << v[i] << " ";
    
    return 0;
  }
  
  cout << "No";
}