#include "bits/stdc++.h"
#ifdef LOCAL
#include "dbg.h"
#else
#define dbg(...) 0
#endif

#define fox(i, n) for (int i = 0; i < (n); ++i)
#define rep(i, a, b) for (int i = (a); i < (b); ++i)
#define rin(i, a, b) for (int i = (a); i <= (b); ++i)
#define rrep(i, a, b) for (int i = (a); i >= (b); --i)
#define fore(x, v) for (auto &&x : v)
#define forp(a, b, v) for (auto &&[a, b] : v)
#define pb push_back
#define eb emplace_back
#define F first
#define S second
#define all(x) begin(x), end(x)
#define rall(x) rbegin(x), rend(x)
#define EL "\n"

using namespace std;

template<class T> using V = vector<T>;
using vi = V<int>;
using ll = long long;
using vll = V<ll>;
using pii = pair<int, int>;
using pll = pair<ll, ll>;
using vpii = V<pii>;
using vpll = V<pll>;
template<class T> using pq = priority_queue<T>;
template<class T> using pqg = priority_queue<T, V<T>, greater<>>;

template<class T>
int sz(T& container) {
    return (int) container.size();
}
template<class T> bool ckmin(T& a, const T& b) {
    return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) {
    return a < b ? a = b, 1 : 0; }

ll cdiv(ll a, ll b) { return a/b+((a^b)>0&&a%b); }
ll fdiv(ll a, ll b) { return a/b-((a^b)<0&&a%b); }

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());
ll urand(int a, int b) { return rng() % (b-a+1) + a; }

template<class T> void re(T& x) { cin >> x; }
template<class H, class... T> void re(H& h, T&... t) { re(h); re(t...); }
template<class A, class B> void re(pair<A, B>& p) { re(p.first, p.second); }
template<class A> void re(vector<A>& x) { for(auto& i: x) re(i); }

template<class T> void pr(T&& x) {
    cout << x << ' ';
//    cout.flush();
}
template<class H, class... T> void pr(H&& h, T&&... t) { pr(h); pr(t...); }
template<class A, class B> void pr(pair<A, B>&& p) { pr(p.first, p.second); }
template<class A> void pr(vector<A>&& x) {
    for(auto& i: x) pr(i);
}
#define nl cout << '\n';


void solve() {
    int n, x, y, s; re(n, x, y, s);
    int t = (s-n*(x%y));
    if (t % y) {
        pr("no"); return;
    } t /= y;

    vi v(n); v[0] = x/y;
    t -= v[0];
    rep(i, 1, n) {
        if (v[i-1]+1 <= t) {
            v[i] = v[i-1]+1;
            t -= v[i-1]+1;
        } else v[i] = 0;
    }
    if (t < 0) {
        pr("no"); return;
    }

    pr("yes");
    fore(i, v) {
        pr(i*y + x%y);
    }

}
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
//    int t;
//    cin >> t;
//    while (t--)
        solve();
    return 0;
}