#include <bits/stdc++.h>

using namespace std;

const int N = 1e5 + 7;
const int md = 1e9 + 7;

int n, C, q;
int a[N], b[N];
int ans;

int fa(int x) {
	int cnt = 0;
	for (int i = 1; i <= n; ++i) {
		if (a[i] <= x) {
			++cnt;
		}
	}
	return cnt;
}

int fb(int x) {
	int cnt = 0;
	for (int i = 1; i <= n; ++i) {
		if (b[i] <= x) {
			++cnt;
		}
	}
	return cnt;
}

int g() {
	int ret = 0;
	for (int x = 0; x <= C; ++x) {
		ret += abs(fa(x) - fb(x));
		ret %= md;
	}
	return ret;
}

void recb(int i) {
	if (i == n + 1) {
		for (int i = 0; i <= n; ++i) {
			if (a[i] > a[i + 1]) {
				return;
			}
		}
		for (int i = 0; i <= n; ++i) {
			if (b[i] > b[i + 1]) {
				return;
			}
		}
		ans += g();
		ans %= md;
		return;
	}
	if (b[i] != -1) {
		recb(i + 1);
		return;
	}
	for (int bi = b[i - 1]; bi <= b[i + 1]; ++bi) {
		b[i] = bi;
		recb(i + 1);
		b[i] = -1;
	}
}

void reca(int i) {
	if (i == n + 1) {
		recb(0);
		return;
	}
	if (a[i] != -1) {
		reca(i + 1);
		return;
	}
	for (int ai = a[i - 1]; ai <= a[i + 1]; ++ai) {
		a[i] = ai;
		reca(i + 1);
		a[i] = -1;
	}
}

int getans() {
	ans = 0;
	reca(1);
	return ans;
}

int main() {
	ios::sync_with_stdio(false);
	cin.tie(0);
	cin >> n >> C >> q;
	a[0] = b[0] = 0;
	a[n + 1] = b[n + 1] = C;
	for (int i = 1; i <= n; ++i) {
		cin >> a[i];
	}
	for (int i = 1; i <= n; ++i) {
		cin >> b[i];
	}
	cout << getans() << "\n";
	while (q--) {
		int t, p, x;
		cin >> t >> p >> x;
		if (t == 1) {
			a[p] = x;
		} else {
			b[p] = x;
		}
		cout << getans() << "\n";
	}
	return 0;
}
