#include "testlib.h"
#include <vector>

using namespace std;

const vector<int> MIN_N = {2, 2, 2, 2};
const vector<int> MAX_N = {2000'000'000, 2000, 1000'000, 2000'000'000};

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);

    int gr_n = validator.group().empty() ? 0 : atoi(validator.group().c_str());
    ensuref(0 <= gr_n && gr_n <= 3, "Incorrect group number");

    int n = inf.readInt(MIN_N[gr_n], MAX_N[gr_n], "n");

    inf.readEoln();

    inf.readEof();
    return 0;
}
