rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random n=10 minc=-30 maxc=30 seed=228" "tests\04" 4
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random n=100 minc=-30 maxc=30 seed=228" "tests\05" 5
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random n=500 seed=228" "tests\06" 6
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=2000 len=1170 seed=71091279073066395 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\07" 7
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=2000 len=170 seed=71091279073066396 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\08" 8
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=2000 len=970 seed=71091279073066397 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\09" 9
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=2000 len=270 seed=71091279073066398 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\10" 10
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=2000 len=30 seed=71091279073066398 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\11" 11
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=2000 len=1270 seed=71091279073066395 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\12" 12
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=2000 len=170 seed=71091279073066396 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\13" 13
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=2000 len=970 seed=71091279073066397 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\14" 14
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=2000 len=270 seed=71091279073066398 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\15" 15
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=2000 len=30 seed=71091279073066398 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\16" 16
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=2000 len=40 seed=71091279073066398 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\17" 17
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=increasing n=300000 seed=228" "tests\18" 18
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=increasing n=300000 chance=1 seed=228" "tests\19" 19
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=increasing n=300000 chance=2 seed=228" "tests\20" 20
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=decreasing n=300000 seed=228" "tests\21" 21
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=decreasing n=300000 chance=30 seed=231" "tests\22" 22
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=decreasing n=300000 chance=5000 seed=231" "tests\23" 23
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=decreasing n=300000 chance=10000 seed=233" "tests\24" 24
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=48038 seed=73843469782342947 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\25" 25
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=20454 seed=63292869279609069 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\26" 26
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=28042 seed=43556525677152830 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\27" 27
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=36900 seed=98973742490816755 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\28" 28
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=28960 seed=51148468276560895 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\29" 29
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=30965 seed=31931847063332058 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\30" 30
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=23269 seed=71803955679318185 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\31" 31
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=34251 seed=30925311413146373 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\32" 32
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=22970 seed=71091279073066395 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\33" 33
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=7291 seed=73713776728466020 minc=-20000000 maxc=200000000 strong_order_ct=1" "tests\34" 34
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=28403 seed=22684571148393352 minc=-20000000 maxc=200000000 strong_order_ct=1" "tests\35" 35
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=4591 seed=19469630891691079 minc=-20000000 maxc=200000000 strong_order_ct=1" "tests\36" 36
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=7885 seed=45421247006159929 minc=-20000000 maxc=200000000 strong_order_ct=1" "tests\37" 37
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=8601 seed=90705102624303982 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\38" 38
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=20430 seed=82553845235373857 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\39" 39
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=24638 seed=55706322873781725 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\40" 40
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=30758 seed=37651192001744446 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\41" 41
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart_strong n=300000 len=25114 seed=18078177082843756 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\42" 42
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart_strong n=300000 len=10963 seed=26040091448366078 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\43" 43
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart_strong n=300000 len=38910 seed=42166778724661341 minc=-40000000 maxc=400000000 strong_order_ct=1" "tests\44" 44
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=30675 seed=90882638912999888 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\45" 45
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=37710 seed=45235556291697461 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\46" 46
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=36408 seed=25658975400893302 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\47" 47
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=36811 seed=53809419683536380 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\48" 48
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=13875 seed=42088052907382837 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\49" 49
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=13080 seed=95683525084879470 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\50" 50
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=30193 seed=93540039372457615 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\51" 51
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=29379 seed=47482317346521079 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\52" 52
call scripts\gen-input-via-stdout.bat "files\gen.exe mode=random_smart n=300000 len=29076 seed=95417112078938250 minc=-40000000 maxc=400000000 strong_order_ct=0" "tests\53" 53
call scripts\gen-answer.bat tests\01 tests\01.a "tests" "0"
call scripts\gen-answer.bat tests\02 tests\02.a "tests" "0"
call scripts\gen-answer.bat tests\03 tests\03.a "tests" "0"
call scripts\gen-answer.bat tests\04 tests\04.a "tests" "1"
call scripts\gen-answer.bat tests\05 tests\05.a "tests" "1"
call scripts\gen-answer.bat tests\06 tests\06.a "tests" "1"
call scripts\gen-answer.bat tests\07 tests\07.a "tests" "1"
call scripts\gen-answer.bat tests\08 tests\08.a "tests" "1"
call scripts\gen-answer.bat tests\09 tests\09.a "tests" "1"
call scripts\gen-answer.bat tests\10 tests\10.a "tests" "1"
call scripts\gen-answer.bat tests\11 tests\11.a "tests" "1"
call scripts\gen-answer.bat tests\12 tests\12.a "tests" "1"
call scripts\gen-answer.bat tests\13 tests\13.a "tests" "1"
call scripts\gen-answer.bat tests\14 tests\14.a "tests" "1"
call scripts\gen-answer.bat tests\15 tests\15.a "tests" "1"
call scripts\gen-answer.bat tests\16 tests\16.a "tests" "1"
call scripts\gen-answer.bat tests\17 tests\17.a "tests" "1"
call scripts\gen-answer.bat tests\18 tests\18.a "tests" "2"
call scripts\gen-answer.bat tests\19 tests\19.a "tests" "2"
call scripts\gen-answer.bat tests\20 tests\20.a "tests" "2"
call scripts\gen-answer.bat tests\21 tests\21.a "tests" "2"
call scripts\gen-answer.bat tests\22 tests\22.a "tests" "2"
call scripts\gen-answer.bat tests\23 tests\23.a "tests" "2"
call scripts\gen-answer.bat tests\24 tests\24.a "tests" "2"
call scripts\gen-answer.bat tests\25 tests\25.a "tests" "3"
call scripts\gen-answer.bat tests\26 tests\26.a "tests" "3"
call scripts\gen-answer.bat tests\27 tests\27.a "tests" "3"
call scripts\gen-answer.bat tests\28 tests\28.a "tests" "3"
call scripts\gen-answer.bat tests\29 tests\29.a "tests" "3"
call scripts\gen-answer.bat tests\30 tests\30.a "tests" "3"
call scripts\gen-answer.bat tests\31 tests\31.a "tests" "3"
call scripts\gen-answer.bat tests\32 tests\32.a "tests" "3"
call scripts\gen-answer.bat tests\33 tests\33.a "tests" "3"
call scripts\gen-answer.bat tests\34 tests\34.a "tests" "3"
call scripts\gen-answer.bat tests\35 tests\35.a "tests" "3"
call scripts\gen-answer.bat tests\36 tests\36.a "tests" "3"
call scripts\gen-answer.bat tests\37 tests\37.a "tests" "3"
call scripts\gen-answer.bat tests\38 tests\38.a "tests" "3"
call scripts\gen-answer.bat tests\39 tests\39.a "tests" "3"
call scripts\gen-answer.bat tests\40 tests\40.a "tests" "3"
call scripts\gen-answer.bat tests\41 tests\41.a "tests" "3"
call scripts\gen-answer.bat tests\42 tests\42.a "tests" "3"
call scripts\gen-answer.bat tests\43 tests\43.a "tests" "3"
call scripts\gen-answer.bat tests\44 tests\44.a "tests" "3"
call scripts\gen-answer.bat tests\45 tests\45.a "tests" "3"
call scripts\gen-answer.bat tests\46 tests\46.a "tests" "3"
call scripts\gen-answer.bat tests\47 tests\47.a "tests" "3"
call scripts\gen-answer.bat tests\48 tests\48.a "tests" "3"
call scripts\gen-answer.bat tests\49 tests\49.a "tests" "3"
call scripts\gen-answer.bat tests\50 tests\50.a "tests" "3"
call scripts\gen-answer.bat tests\51 tests\51.a "tests" "3"
call scripts\gen-answer.bat tests\52 tests\52.a "tests" "3"
call scripts\gen-answer.bat tests\53 tests\53.a "tests" "3"

