#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

const vector<long long> MAXN = {300'000, 2000, 300'000, 300'000};
const int MINC = -1'000'000'000;
const int MAXC = 1'000'000'000;
    
int main(int argc, char *argv[]) {
    registerValidation(argc, argv);
    
    int gr_n = validator.group().empty() ? 0 : atoi(validator.group().c_str());
    ensuref(0 <= gr_n && gr_n <= 3, "Incorrect group number");
    
    int n = inf.readInt(2, MAXN[gr_n], "n");
    inf.readEoln();
    vector<int> h = inf.readInts(n, MINC, MAXC, "h");
    
    if (gr_n == 2) {
        bool non_decreasing = true;
        bool non_increasing = true;
        for (int i = 0; i + 1 < n; i++) {
            non_decreasing &= (h[i] <= h[i + 1]);
            non_increasing &= (h[i] >= h[i + 1]);
        }
        ensuref(non_decreasing || non_increasing, "Array should be non-descreasing or non-increasing in this subtask");
    }
    
    inf.readEoln();
    inf.readEof();
}
