#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int n, c;
vector<array<int, 3>> uwu;
vector<vector<int>> a;
map<vector<int>, int> id;
vector<vector<char>> used;

void MakeEuler(int v) {
    int edges_seen = 0;
    for (int l = 0; l < n; ++l)
    for (int r = l+1; r <= n; ++r) {
        int cmin = *min_element(a[v].begin()+l, a[v].begin()+r);
        int cmax = *max_element(a[v].begin()+l, a[v].begin()+r);
        for (int x = 1 - cmin; x <= c - cmax; ++x) {
            if (x == 0) continue;

            int eid = edges_seen++;
            if (!used[v][eid]) {
                used[v][eid] = 1;
                auto w = a[v];
                for (int i = l; i != r; ++i) w[i] += x;
                MakeEuler(id[w]);
                uwu.push_back({l, r, x});
            }
        }
    }
}

int main(int argc, char* argv[]) {
    ios::sync_with_stdio(0); cin.tie(0);
    registerGen(argc, argv, 1);
    
    map<string, int> args;
    args["t"] = 2;
    for (int i = 1; i != argc; ++i) {
        string opt = argv[i];
        auto pos = opt.find('=');
        if (pos != string::npos) {
            args[opt.substr(0, pos)] = stoi(opt.substr(pos+1));
        }
    }

    n = args["n"];
    c = args["c"];
    const int max_type = args["t"];

    vector<int> cur(n, 1);
    while (true) {
        a.push_back(cur);
        int i = 0;
        while (i < n && cur[i] == c) cur[i++] = 1;
        if (i == n) break;
        ++cur[i];
    }

    const int v = a.size();
    for (int i = a.size(); i--; ) id[a[i]] = i;

    vector<vector<array<int, 5>>> go(v);
    used.assign(v, vector<char>(n*(n+1)/2*(2*c-1)));
    MakeEuler(0);
    reverse(uwu.begin(), uwu.end());

    if (max_type == 1) {
        println(n, n, uwu.size());
        println(vector<int>(n, 1));
        println(vector<int>(n, 1));
        for (auto [l, r, x] : uwu) println(1, l+1, r, x);
    } else {
        vector<array<int, 4>> uwu2;
        fill(cur.begin(), cur.end(), 1);

        set<vector<int>> was;
        for (auto [l, r, x] : uwu) {
            if (!was.count(cur)) {
                for (auto [l, r, x] : uwu) uwu2.push_back({2, l, r, x});
                was.insert(cur);
            }

            uwu2.push_back({1, l, r, x});
            for (int i = l; i != r; ++i) cur[i] += x;
        }

        println(n, n, uwu2.size());
        println(vector<int>(n, 1));
        println(vector<int>(n, 1));
        for (auto [t, l, r, x] : uwu2) println(t, l+1, r, x);
    }
}