#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int main(int argc, char* argv[]) {
    ios::sync_with_stdio(0); cin.tie(0);
    registerGen(argc, argv, 1);

    map<string, int> args;
    args["t"] = 2;
    for (int i = 1; i != argc; ++i) {
        string opt = argv[i];
        auto pos = opt.find('=');
        if (pos != string::npos) {
            args[opt.substr(0, pos)] = stoi(opt.substr(pos+1));
        }
    }

    const int n = args["n"];
    const int q = args["q"];
    const int max_type = args["t"];

    vector<int> pos_a{{0}}, pos_b{{0}};
    const int BLOCK = args["bmin"];
    const int BIGBK = args["bmax"];

    while (pos_a.back() + BLOCK < n) pos_a.push_back(pos_a.back() + rnd.next(BLOCK, min(n - pos_a.back() - 1, BIGBK)));
    while (pos_b.back() + BLOCK < n) pos_b.push_back(pos_b.back() + rnd.next(BLOCK, min(n - pos_b.back() - 1, BIGBK)));

    vector<int> a(n, 1), b(n, 1);
    for (int j : pos_a) a[j] = 0;
    for (int j : pos_b) b[j] = 0;
    for (int i = 1; i < n; ++i) a[i] += a[i-1], b[i] += b[i-1];
    pos_a.erase(pos_a.begin());
    pos_b.erase(pos_b.begin());

    println(n, n, q);
    println(a);
    println(b);

    vector<array<int, 4>> que;
    while (que.size() < q) {
        int t = rnd.next(1, max_type);
        int l = 0, r = n;
        if (t == 1) {
            l = rnd.next(0, (int)pos_a.size()-1);
            r = l;
            while (abs(r - l) <= 1) r = rnd.next(0, (int)pos_a.size()-1);
            l = pos_a[l], r = pos_a[r];
        } else {
            l = rnd.next(0, (int)pos_b.size()-1);
            r = l;
            while (abs(r - l) <= 1) r = rnd.next(0, (int)pos_b.size()-1);
            l = pos_b[l], r = pos_b[r];
        }

        if (r < l) swap(l, r);

        int x = rnd.next(10, 228);
        que.push_back({t, l+1, r, +x});
        que.push_back({t, l+1, r, -x});
    }

    que.resize(q);
    for (auto [t, l, r, x] : que) println(t, l, r, x);
}