#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int main(int argc, char* argv[]) {
    ios::sync_with_stdio(0); cin.tie(0);
    registerGen(argc, argv, 1);

    map<string, int> args;
    args["t"] = 2;
    for (int i = 1; i != argc; ++i) {
        string opt = argv[i];
        auto pos = opt.find('=');
        if (pos != string::npos) {
            args[opt.substr(0, pos)] = stoi(opt.substr(pos+1));
        }
    }

    const int n = args["n"];
    const int q = args["q"];
    const int max_type = args["t"];

    int cnt = 1;
    while ((cnt+2)*(cnt+3)/2 <= n) ++cnt;

    vector<int> a(n, 1), b(n, 1);
    for (int i = 1; i <= cnt; ++i) a[i*(i+1)/2]=0, b[i*(i+1)/2]=0;
    for (int i = 1; i < n; ++i) a[i] += a[i-1], b[i] += b[i-1];

    println(n, n, q);
    println(a);
    println(b);
    vector<array<int, 4>> que;

    while (que.size() < q) {
        int t = rnd.next(1, max_type);
        int l = rnd.next(1, cnt-1);
        int r = l;
        while (abs(r-l) <= 3) r = rnd.next(1, cnt-1);
        if (l > r) swap(l, r);

        l = l*(l+1)/2;
        r = r*(r+1)/2;
        int x = rnd.next(10, 228);

        que.push_back({t, l+1, r, +x});
        que.push_back({t, l+1, r, -x});
    }

    que.resize(q);
    for (auto [t, l, r, x] : que) println(t, l, r, x);
}